## Apache Zeta Components Manual :: Docs For Class ezcWebdavGetContentLanguageProperty

### Webdav::ezcWebdavGetContentLanguageProperty

### Class ezcWebdavGetContentLanguageProperty

An object of this class represents the Webdav property <getcontentlanguage>.

Source for this file: /Webdav/src/properties/getcontentlanguage.php

    ezcWebdavInfrastructureBase
       |
       --ezcWebdavProperty
          |
          --ezcWebdavLiveProperty
             |
             --ezcWebdavGetContentLanguageProperty

Version: | //autogentag//

### Properties

array(string) | read/write | `$languages` The languages.

### Inherited Member Variables

From ezcWebdavProperty
protected | `ezcWebdavProperty::$properties`
From ezcWebdavInfrastructureBase
protected | `ezcWebdavInfrastructureBase::$pluginData`

### Method Summary

public void | `__construct( [ $languages = array()] )` Creates a new ezcWebdavGetContentLanguageProperty.
public void | `clear( )` Removes all contents from a property.
public bool | `hasNoContent( )` Returns if property has no content.

### Inherited Methods

From ezcWebdavLiveProperty
public void | `ezcWebdavLiveProperty::__construct()` Creates a new live property.
From ezcWebdavProperty
public void | `ezcWebdavProperty::__construct()` Creates a new property object.
public void | `ezcWebdavProperty::clear()` Remove all contents from a property.
protected void | `ezcWebdavProperty::hasError()` Indicates that a property has a validation error.
public abstract bool | `ezcWebdavProperty::hasNoContent()` Check if property has no content.
public void | `ezcWebdavProperty::__clone()` Clones a property deeply.
From ezcWebdavInfrastructureBase
public mixed | `ezcWebdavInfrastructureBase::getPluginData()` Retrieves plugin data from the storage.
public bool | `ezcWebdavInfrastructureBase::hasPluginData()` Returns if plugin data is available in the storage.
public void | `ezcWebdavInfrastructureBase::removePluginData()` Removes plugin data from the storage.
public void | `ezcWebdavInfrastructureBase::setPluginData()` Sets plugin data in the storage.

### Methods

#### __construct

void __construct( [ $languages = array()] )

Creates a new ezcWebdavGetContentLanguageProperty.

The given array must contain strings that represent language shortcuts.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$languages` | array(string) |

##### Redefinition of:

Method | Description
--- | ---
`ezcWebdavLiveProperty::__construct()` | Creates a new live property.

#### clear

void clear( )

Removes all contents from a property.

Clears the property, so that it will be recognized as empty later.

##### Redefinition of:

Method | Description
--- | ---
`ezcWebdavProperty::clear()` | Remove all contents from a property.

#### hasNoContent

bool hasNoContent( )

Returns if property has no content.

Returns true, if the property has no content stored.

##### Redefinition of:

Method | Description
--- | ---
`ezcWebdavProperty::hasNoContent()` | Check if property has no content.

Documentation generated by phpDocumentor 1.4.3